List document templates
curl --request GET \
--url https://manuscript.example.com/api/v1/documents/templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://manuscript.example.com/api/v1/documents/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://manuscript.example.com/api/v1/documents/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"name": "<string>"
}
],
"page": 123,
"pageSize": 123,
"totalCount": 123,
"hasNextPage": true,
"hasPreviousPage": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}List document templates
Paged list of templates, filterable by UserEmail.
GET
/
api
/
v1
/
documents
/
templates
List document templates
curl --request GET \
--url https://manuscript.example.com/api/v1/documents/templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://manuscript.example.com/api/v1/documents/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://manuscript.example.com/api/v1/documents/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"name": "<string>"
}
],
"page": 123,
"pageSize": 123,
"totalCount": 123,
"hasNextPage": true,
"hasPreviousPage": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}